This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 613414 - sqlite problems on i386
sqlite problems on i386
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
14
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 612883 631178
  Show dependency treegraph
 
Reported: 2010-07-11 08:25 EDT by Ville Skyttä
Modified: 2010-10-06 02:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-06 02:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2010-07-11 08:25:15 EDT
I think there's a problem with sqlite on i386 in current Rawhide.

I'm seeing javasqlite test suite failures.  This happens only in Rawhide, and only in i386; x86_64 is fine.  F-13 is fine on both, and failures (although somewhat different) happen with both java-1.5.0-gcj and java-1.6.0-openjdk.

I haven't been able to pinpoint the issue exactly, but here are some builds of current javasqlite devel in CVS demonstrating it:

Rawhide build, showing test suite crash with gcj on i386, ok on x86_64:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2310670

F-13 build, all ok:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2311097

Rawhide i386 only build, package modified so that it runs tests only with openjdk (to see if gcj would be the culprit), failure:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2311110

Same as above but with x86_64, all ok:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2311119
Comment 1 Ville Skyttä 2010-07-13 16:52:50 EDT
I did some more test builds of javasqlite from the devel branch in local mock, and this might not be a problem with sqlite after all:

- F-13 i386 build with sqlite* updated from Rawhide: OK
- F-13 i386 build with sqlite* from Rawhide rebuilt for F-13 and installed: OK
- Rawhide i386 build with sqlite* downgraded to the F-13 versions: fail/crash just like with the Rawhide sqlite packages

No idea where to look next, Cc'ing glibc maintainers in case they have ideas.
Comment 2 Bug Zapper 2010-07-30 08:30:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ville Skyttä 2010-10-06 02:12:21 EDT
I suppose this has been fixed somehow; the javasqlite build now completes successfully, closing.

Note You need to log in before you can comment on or make changes to this bug.